#include "ajoutercaisse.h"
#include "ui_ajoutercaisse.h"
#include"QMessageBox"
#include"qsystemtrayicon.h"
#include"caisse.h"
#include"smtp.h"

ajoutercaisse::ajoutercaisse(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::ajoutercaisse)
{
    ui->setupUi(this);

}

ajoutercaisse::~ajoutercaisse()
{
    delete ui;
}


void ajoutercaisse::on_pushButton_clicked()
{
    int numero = ui->lineEditLineEdit_numero->text().toInt();
    int  etat= ui->LineEdit_etat->text().toInt();

  caisse c (numero,etat);
  bool test=c.ajouter();
  if(test)

{
      Smtp* s = new Smtp( "hajmoussa2368@gmail.com", "Hm123456", "smtp.gmail.com", 465 );
      s->sendMail("hajmoussa2368@gmail.com","youssef.ghedas@esprit.tn","une caisse a été ajouter avec succés","Mr youssef");
      notifier = new QSystemTrayIcon(this);
      notifier->setIcon(QIcon("notification.png"));
      notifier->show();
      notifier->showMessage("Succés","une caisse a été ajouter avec succés",QSystemTrayIcon::Warning,10000);
        hide();
}
  else
  {
      notifier = new QSystemTrayIcon(this);
      notifier->setIcon(QIcon("notification.png"));
      notifier->show();
      notifier->showMessage("Erreur","La caisse n'a pas pu etre ajouté",QSystemTrayIcon::Warning,10000);

}
}
